com.corticon.rulesemf.canonicalvocabularymodel.metadata.database

## Interface DatabasePackage.Literals

- Enclosing interface:
    DatabasePackage

      public static interface DatabasePackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.eclipse.emf.ecore.EClass` | `COLUMN_METADATA` The meta object literal for the '`Column Metadata`' class
    `static org.eclipse.emf.ecore.EAttribute` | `COLUMN_METADATA__COLUMN_NAME` The meta object literal for the 'Column Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `COLUMN_METADATA__COLUMN_SIZE` The meta object literal for the 'Column Size' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `COLUMN_METADATA__DECIMAL_DIGITS` The meta object literal for the 'Decimal Digits' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `COLUMN_METADATA__JDBC_DATA_TYPE` The meta object literal for the 'Jdbc Data Type' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `COLUMN_METADATA__SQL_DATA_TYPE` The meta object literal for the 'Sql Data Type' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `DATABASE_METADATA` The meta object literal for the '`Metadata`' class
    `static org.eclipse.emf.ecore.EAttribute` | `DATABASE_METADATA__IMPORT_DATE` The meta object literal for the 'Import Date' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `DATABASE_METADATA__TABLE_METADATA_LIST` The meta object literal for the 'Table Metadata List' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `FOREIGN_KEY_COLUMN_METADATA` The meta object literal for the '`Foreign Key Column Metadata`' class
    `static org.eclipse.emf.ecore.EAttribute` | `FOREIGN_KEY_COLUMN_METADATA__FOREIGN_KEY_COLUMN_NAME` The meta object literal for the 'Foreign Key Column Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `FOREIGN_KEY_COLUMN_METADATA__PRIMARY_KEY_COLUMN_NAME` The meta object literal for the 'Primary Key Column Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `FOREIGN_KEY_COLUMN_METADATA__SEQUENCE_NUMBER` The meta object literal for the 'Sequence Number' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `FOREIGN_KEY_METADATA` The meta object literal for the '`Foreign Key Metadata`' class
    `static org.eclipse.emf.ecore.EAttribute` | `FOREIGN_KEY_METADATA__FOREIGN_KEY_CATALOG_NAME` The meta object literal for the 'Foreign Key Catalog Name' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `FOREIGN_KEY_METADATA__FOREIGN_KEY_COLUMN_METADATA_LIST` The meta object literal for the 'Foreign Key Column Metadata List' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `FOREIGN_KEY_METADATA__FOREIGN_KEY_NAME` The meta object literal for the 'Foreign Key Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `FOREIGN_KEY_METADATA__FOREIGN_KEY_SCHEMA_NAME` The meta object literal for the 'Foreign Key Schema Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `FOREIGN_KEY_METADATA__FOREIGN_KEY_TABLE_NAME` The meta object literal for the 'Foreign Key Table Name' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `PRIMARY_KEY_COLUMN_METADATA` The meta object literal for the '`Primary Key Column Metadata`' class
    `static org.eclipse.emf.ecore.EAttribute` | `PRIMARY_KEY_COLUMN_METADATA__PRIMARY_KEY_COLUMN_NAME` The meta object literal for the 'Primary Key Column Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `PRIMARY_KEY_COLUMN_METADATA__SEQUENCE_NUMBER` The meta object literal for the 'Sequence Number' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `PRIMARY_KEY_METADATA` The meta object literal for the '`Primary Key Metadata`' class
    `static org.eclipse.emf.ecore.EAttribute` | `PRIMARY_KEY_METADATA__PRIMARY_KEY_CATALOG_NAME` The meta object literal for the 'Primary Key Catalog Name' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `PRIMARY_KEY_METADATA__PRIMARY_KEY_COLUMN_METADATA_LIST` The meta object literal for the 'Primary Key Column Metadata List' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `PRIMARY_KEY_METADATA__PRIMARY_KEY_NAME` The meta object literal for the 'Primary Key Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `PRIMARY_KEY_METADATA__PRIMARY_KEY_SCHEMA_NAME` The meta object literal for the 'Primary Key Schema Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `PRIMARY_KEY_METADATA__PRIMARY_KEY_TABLE_NAME` The meta object literal for the 'Primary Key Table Name' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `TABLE_METADATA` The meta object literal for the '`Table Metadata`' class
    `static org.eclipse.emf.ecore.EAttribute` | `TABLE_METADATA__CATALOG_NAME` The meta object literal for the 'Catalog Name' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `TABLE_METADATA__COLUMN_METADATA_LIST` The meta object literal for the 'Column Metadata List' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `TABLE_METADATA__FOREIGN_KEY_METADATA_LIST` The meta object literal for the 'Foreign Key Metadata List' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `TABLE_METADATA__PRIMARY_KEY_METADATA_LIST` The meta object literal for the 'Primary Key Metadata List' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `TABLE_METADATA__SCHEMA_NAME` The meta object literal for the 'Schema Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `TABLE_METADATA__TABLE_NAME` The meta object literal for the 'Table Name' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `TABLE_METADATA__TABLE_TYPE` The meta object literal for the 'Table Type' attribute feature

- - ### Field Detail

    - #### TABLE_METADATA

          static final org.eclipse.emf.ecore.EClass TABLE_METADATA

      The meta object literal for the '`Table Metadata`' class.
      See Also:
        `TableMetadataImpl`, `DatabasePackageImpl.getTableMetadata()`

    - #### TABLE_METADATA__CATALOG_NAME

          static final org.eclipse.emf.ecore.EAttribute TABLE_METADATA__CATALOG_NAME

      The meta object literal for the 'Catalog Name' attribute feature.

    - #### TABLE_METADATA__SCHEMA_NAME

          static final org.eclipse.emf.ecore.EAttribute TABLE_METADATA__SCHEMA_NAME

      The meta object literal for the 'Schema Name' attribute feature.

    - #### TABLE_METADATA__TABLE_NAME

          static final org.eclipse.emf.ecore.EAttribute TABLE_METADATA__TABLE_NAME

      The meta object literal for the 'Table Name' attribute feature.

    - #### TABLE_METADATA__TABLE_TYPE

          static final org.eclipse.emf.ecore.EAttribute TABLE_METADATA__TABLE_TYPE

      The meta object literal for the 'Table Type' attribute feature.

    - #### TABLE_METADATA__COLUMN_METADATA_LIST

          static final org.eclipse.emf.ecore.EReference TABLE_METADATA__COLUMN_METADATA_LIST

      The meta object literal for the 'Column Metadata List' containment reference list feature.

    - #### TABLE_METADATA__PRIMARY_KEY_METADATA_LIST

          static final org.eclipse.emf.ecore.EReference TABLE_METADATA__PRIMARY_KEY_METADATA_LIST

      The meta object literal for the 'Primary Key Metadata List' containment reference list feature.

    - #### TABLE_METADATA__FOREIGN_KEY_METADATA_LIST

          static final org.eclipse.emf.ecore.EReference TABLE_METADATA__FOREIGN_KEY_METADATA_LIST

      The meta object literal for the 'Foreign Key Metadata List' containment reference list feature.

    - #### COLUMN_METADATA

          static final org.eclipse.emf.ecore.EClass COLUMN_METADATA

      The meta object literal for the '`Column Metadata`' class.
      See Also:
        `ColumnMetadataImpl`, `DatabasePackageImpl.getColumnMetadata()`

    - #### COLUMN_METADATA__COLUMN_NAME

          static final org.eclipse.emf.ecore.EAttribute COLUMN_METADATA__COLUMN_NAME

      The meta object literal for the 'Column Name' attribute feature.

    - #### COLUMN_METADATA__JDBC_DATA_TYPE

          static final org.eclipse.emf.ecore.EAttribute COLUMN_METADATA__JDBC_DATA_TYPE

      The meta object literal for the 'Jdbc Data Type' attribute feature.

    - #### COLUMN_METADATA__SQL_DATA_TYPE

          static final org.eclipse.emf.ecore.EAttribute COLUMN_METADATA__SQL_DATA_TYPE

      The meta object literal for the 'Sql Data Type' attribute feature.

    - #### COLUMN_METADATA__COLUMN_SIZE

          static final org.eclipse.emf.ecore.EAttribute COLUMN_METADATA__COLUMN_SIZE

      The meta object literal for the 'Column Size' attribute feature.

    - #### COLUMN_METADATA__DECIMAL_DIGITS

          static final org.eclipse.emf.ecore.EAttribute COLUMN_METADATA__DECIMAL_DIGITS

      The meta object literal for the 'Decimal Digits' attribute feature.

    - #### PRIMARY_KEY_METADATA

          static final org.eclipse.emf.ecore.EClass PRIMARY_KEY_METADATA

      The meta object literal for the '`Primary Key Metadata`' class.
      See Also:
        `PrimaryKeyMetadataImpl`, `DatabasePackageImpl.getPrimaryKeyMetadata()`

    - #### PRIMARY_KEY_METADATA__PRIMARY_KEY_NAME

          static final org.eclipse.emf.ecore.EAttribute PRIMARY_KEY_METADATA__PRIMARY_KEY_NAME

      The meta object literal for the 'Primary Key Name' attribute feature.

    - #### PRIMARY_KEY_METADATA__PRIMARY_KEY_CATALOG_NAME

          static final org.eclipse.emf.ecore.EAttribute PRIMARY_KEY_METADATA__PRIMARY_KEY_CATALOG_NAME

      The meta object literal for the 'Primary Key Catalog Name' attribute feature.

    - #### PRIMARY_KEY_METADATA__PRIMARY_KEY_SCHEMA_NAME

          static final org.eclipse.emf.ecore.EAttribute PRIMARY_KEY_METADATA__PRIMARY_KEY_SCHEMA_NAME

      The meta object literal for the 'Primary Key Schema Name' attribute feature.

    - #### PRIMARY_KEY_METADATA__PRIMARY_KEY_TABLE_NAME

          static final org.eclipse.emf.ecore.EAttribute PRIMARY_KEY_METADATA__PRIMARY_KEY_TABLE_NAME

      The meta object literal for the 'Primary Key Table Name' attribute feature.

    - #### PRIMARY_KEY_METADATA__PRIMARY_KEY_COLUMN_METADATA_LIST

          static final org.eclipse.emf.ecore.EReference PRIMARY_KEY_METADATA__PRIMARY_KEY_COLUMN_METADATA_LIST

      The meta object literal for the 'Primary Key Column Metadata List' containment reference list feature.

    - #### FOREIGN_KEY_METADATA

          static final org.eclipse.emf.ecore.EClass FOREIGN_KEY_METADATA

      The meta object literal for the '`Foreign Key Metadata`' class.
      See Also:
        `ForeignKeyMetadataImpl`, `DatabasePackageImpl.getForeignKeyMetadata()`

    - #### FOREIGN_KEY_METADATA__FOREIGN_KEY_NAME

          static final org.eclipse.emf.ecore.EAttribute FOREIGN_KEY_METADATA__FOREIGN_KEY_NAME

      The meta object literal for the 'Foreign Key Name' attribute feature.

    - #### FOREIGN_KEY_METADATA__FOREIGN_KEY_CATALOG_NAME

          static final org.eclipse.emf.ecore.EAttribute FOREIGN_KEY_METADATA__FOREIGN_KEY_CATALOG_NAME

      The meta object literal for the 'Foreign Key Catalog Name' attribute feature.

    - #### FOREIGN_KEY_METADATA__FOREIGN_KEY_SCHEMA_NAME

          static final org.eclipse.emf.ecore.EAttribute FOREIGN_KEY_METADATA__FOREIGN_KEY_SCHEMA_NAME

      The meta object literal for the 'Foreign Key Schema Name' attribute feature.

    - #### FOREIGN_KEY_METADATA__FOREIGN_KEY_TABLE_NAME

          static final org.eclipse.emf.ecore.EAttribute FOREIGN_KEY_METADATA__FOREIGN_KEY_TABLE_NAME

      The meta object literal for the 'Foreign Key Table Name' attribute feature.

    - #### FOREIGN_KEY_METADATA__FOREIGN_KEY_COLUMN_METADATA_LIST

          static final org.eclipse.emf.ecore.EReference FOREIGN_KEY_METADATA__FOREIGN_KEY_COLUMN_METADATA_LIST

      The meta object literal for the 'Foreign Key Column Metadata List' containment reference list feature.

    - #### PRIMARY_KEY_COLUMN_METADATA

          static final org.eclipse.emf.ecore.EClass PRIMARY_KEY_COLUMN_METADATA

      The meta object literal for the '`Primary Key Column Metadata`' class.
      See Also:
        `PrimaryKeyColumnMetadataImpl`, `DatabasePackageImpl.getPrimaryKeyColumnMetadata()`

    - #### PRIMARY_KEY_COLUMN_METADATA__SEQUENCE_NUMBER

          static final org.eclipse.emf.ecore.EAttribute PRIMARY_KEY_COLUMN_METADATA__SEQUENCE_NUMBER

      The meta object literal for the 'Sequence Number' attribute feature.

    - #### PRIMARY_KEY_COLUMN_METADATA__PRIMARY_KEY_COLUMN_NAME

          static final org.eclipse.emf.ecore.EAttribute PRIMARY_KEY_COLUMN_METADATA__PRIMARY_KEY_COLUMN_NAME

      The meta object literal for the 'Primary Key Column Name' attribute feature.

    - #### FOREIGN_KEY_COLUMN_METADATA

          static final org.eclipse.emf.ecore.EClass FOREIGN_KEY_COLUMN_METADATA

      The meta object literal for the '`Foreign Key Column Metadata`' class.
      See Also:
        `ForeignKeyColumnMetadataImpl`, `DatabasePackageImpl.getForeignKeyColumnMetadata()`

    - #### FOREIGN_KEY_COLUMN_METADATA__SEQUENCE_NUMBER

          static final org.eclipse.emf.ecore.EAttribute FOREIGN_KEY_COLUMN_METADATA__SEQUENCE_NUMBER

      The meta object literal for the 'Sequence Number' attribute feature.

    - #### FOREIGN_KEY_COLUMN_METADATA__FOREIGN_KEY_COLUMN_NAME

          static final org.eclipse.emf.ecore.EAttribute FOREIGN_KEY_COLUMN_METADATA__FOREIGN_KEY_COLUMN_NAME

      The meta object literal for the 'Foreign Key Column Name' attribute feature.

    - #### FOREIGN_KEY_COLUMN_METADATA__PRIMARY_KEY_COLUMN_NAME

          static final org.eclipse.emf.ecore.EAttribute FOREIGN_KEY_COLUMN_METADATA__PRIMARY_KEY_COLUMN_NAME

      The meta object literal for the 'Primary Key Column Name' attribute feature.

    - #### DATABASE_METADATA

          static final org.eclipse.emf.ecore.EClass DATABASE_METADATA

      The meta object literal for the '`Metadata`' class.
      See Also:
        `DatabaseMetadataImpl`, `DatabasePackageImpl.getDatabaseMetadata()`

    - #### DATABASE_METADATA__IMPORT_DATE

          static final org.eclipse.emf.ecore.EAttribute DATABASE_METADATA__IMPORT_DATE

      The meta object literal for the 'Import Date' attribute feature.

    - #### DATABASE_METADATA__TABLE_METADATA_LIST

          static final org.eclipse.emf.ecore.EReference DATABASE_METADATA__TABLE_METADATA_LIST

      The meta object literal for the 'Table Metadata List' containment reference list feature.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.